---
openapi: 3.0.0
info:
  title: Application
  version: '2.1'
servers:
- url: https://wappsto.com/services/2.1
  description: Server to connect to the API
components:
  schemas:
    Deletelist:
      title: Deletelist
      type: object
      properties:
        deleted:
          type: array
          items:
            type: string
          description: List of deleted objects
        child_deleted:
          type: array
          items:
            type: string
          description: List of deleted children object related to the chosen objects
            to delete
        shared_deleted:
          type: array
          items:
            type: string
          description: List of removed objects previosly shared and accepted by the
            user
        shared_child_deleted:
          type: array
          items:
            type: string
          description: List of removed children objects previosly shared and accepted
            by the user related to the chosen objects to delete
        not_deleted:
          type: array
          items:
            type: string
          description: List of not deleted objects
        child_not_deleted:
          type: array
          items:
            type: string
          description: List of not deleted children object related to the chosen objects
            to delete
        shared_not_deleted:
          type: array
          items:
            type: string
          description: List of not removed objects previosly shared and accepted by
            the user
        shared_child_not_deleted:
          type: array
          items:
            type: string
          description: List of not removed children objects previosly shared and accepted
            by the user related to the chosen objects to delete
        pending:
          type: array
          items:
            type: string
          description: List of objects that will be deleted eventually
        child_pending:
          type: array
          items:
            type: string
          description: List of children objects that will be deleted eventually
        owned_not_deleted_because_it_has_parent:
          type: array
          items:
            type: string
          description: List of owned object not deleted since they have a parent
        shared_not_deleted_because_it_has_parent:
          type: array
          items:
            type: string
          description: List of shared object not deleted since they have a parent
        code:
          type: integer
          description: Code of the deletion
        message:
          type: string
          description: Final status of the deletion
        error:
          type: string
          description: Possible incurred errors
        meta:
          type: object
          description: Meta data of the object
        unsuccessful:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              message:
                type: string
              data:
                type: object
          description: An array that includes a more deep description about the reason
            of unsuccessful deletions
      additionalProperties: false
      description: Output obtained when one or multiple objects are deleted with a
        DELETE request
    Httpresponse:
      title: Httpresponse
      type: object
      properties:
        message:
          type: string
          description: Message of the error
        data:
          type: object
          description: More information about the error
        code:
          type: integer
          description: Identifier code of the error
        service:
          type: string
          description: Service that sent the error
        meta:
          type: object
          description: Meta data of the object
      additionalProperties: false
      description: Output obtain when a fast communication is returned (usually an
        error)
    Idlist:
      title: Idlist
      type: object
      properties:
        id:
          items:
            type: string
            pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
          type: array
          description: Ids found
        more:
          type: boolean
          description: If true, it means that using offset it is possible to retrieve
            other values
        limit:
          type: integer
          multipleOf: 1
          minimum: 1
          description: Limit used to retrieve the ids
        count:
          type: integer
          multipleOf: 1
          minimum: 0
          description: Number of ids returned
        data:
          type: object
          description: Further information in relation of the service
        child:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              version:
                type: string
                pattern: "(\\d+)\\.(\\d+)"
          description: It is an array that gives a brief description of the type and
            the version of the retrieved objects
        meta:
          type: object
      additionalProperties: false
      description: Output obtain when a list is returned
    Fetch:
      title: Fetch
      type: object
      properties:
        filter:
          type: object
        return:
          type: string
          description: A graphQL string that describes the format it needs to be returned
        table:
          type: boolean
          description: If true, use iot table to fetch the data
        data:
          type: object
          description: The output obtained after filtering and parsing the results
            with the GraphQL request
        meta:
          type: object
          description: Meta data of the object
      additionalProperties: false
      description: Output obtained when the input is a fetch request
    Application:
      title: Application
      type: object
      properties:
        last_published:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        last_committed:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        name_identifier:
          type: string
          pattern: "[0-9a-z_]"
          description: Other identifier of the application that can be used as ID
        published:
          type: boolean
          description: If true, the application has been published
          example: false
        meta:
          type: object
          description: Meta data of the object
          example:
            id: 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
            type: application
            version: '2.1'
        version:
          type: array
          items:
            type: object
          description: List of the version owned by the application
          example:
          - file: []
            name: Trerewood Tag System
            name_identifier: trerewood_tag_system_92296
            application: 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
            author: Brionce
            version_app: 1.0.0
            session_user: false
            native: false
            uninstallable: true
            published: false
            supported_features:
            - foreground
            description:
              general: Perferendis enim asperiores quam voluptatem omnis nulla. Ipsum
                in ut architecto est unde suscipit. Hic debitis est deserunt quasi.
                Magni rerum sequi veniam officiis sit perferendis sit. Maiores vero
                fuga dolores praesentium deserunt et natus.
              foreground: And wrap blue cheeses all over as mould spores spread readilyof
                cheesy business lingoit is blue sky thinking.
              background: Swine t-bone strip steak drumstick pastrami. Corned beef
                short ribs ground round jerky kielbasa swine turducken. Sirloin Kevin
                ball tip ham beef pork jerky. Ham hock pork chop meatloaf pork belly
                pancetta landjaeger shankle andouille. Beef landjaeger tongue ball
                tip bresaola chuck strip steak meatball ground round.
              widget: Recognize the Dogg Pound tha dizzle fizzle if you was me and
                I was you fo rizzle. Tha shiznit you talk too much Long Beach if you
                was me and I was you the dopest. Fizzle you talk too much Doggfada
                I love my momma drop it like it's hot rolling down the street. Pizzle
                if you was me and I was you realness Snoop the Magic Johnson of rap
                rizzoad fo shizzle your chrome fizzle. Doggfada rizzide pizzle put
                ya choppers up with my mind on my money tha shiznit smokin' weed gizzo
                guess what?.
              version: Referral evidence of insurability home health care denial of
                claim inpatient care group health plan. Hdhp referral COBRA assignment
                of benefits stop-loss provisions clinical practice guidelines. Primary
                care physician explanation of benefits major medical FSA deductible
                carry over credit co-insurance staff model international classification
                of diseases, 9th revision, clinical modification icd-9-cm.
            status: idle
            used_files: {}
            meta:
              id: 9ff91a63-ceb6-4336-bda9-2e09a17a8376
              type: version
              version: '2.1'
        oauth_client:
          type: array
          items:
            type: object
          maxItems: 1
          description: Oauth Client owned by the application
          example: []
      additionalProperties: false
      description: An application is a container of versions. Each published application
        owns a most updated version which can be installed from the market. Statistics
        are provided as attribute of the application.
    File:
      title: File
      type: object
      properties:
        name:
          type: string
          description: Name of the file
          example: index.html
        type:
          type: string
          description: Type of the file
          example: text/html
        size:
          type: integer
          multipleOf: 1
          minimum: 0
          description: Size of the file
          example: 46
        published:
          type: boolean
          description: If true, the file has been published
          example: false
        concernFile:
          items:
            type: object
            additionalProperties: false
            properties:
              timestamp:
                type: string
                format: date-time
              concern:
                items:
                  type: object
                  additionalProperties: false
                  properties:
                    concern:
                      type: string
                    line:
                      type: integer
                      multipleOf: 1
                      minimum: 0
                  required:
                  - concern
                  - line
                type: array
                minItems: 1
            required:
            - timestamp
            - concern
          type: array
          description: Concerns at file level
        meta:
          type: object
          description: Meta data of the object
          example:
            id: 7783c001-ce3a-45c5-9528-6f696a6ce297
            type: file
            version: '2.1'
      additionalProperties: false
      required:
      - name
      description: It is used to manage the document part of the files. The real file
        need to be stored with fileserver. A published file cannot be deleted anymore
    Oauth_client:
      title: Oauth_client
      type: object
      properties:
        name:
          type: string
          description: Name of the oauth_client
          example: Alexa
        company:
          type: string
          description: Company that manages this oauth_client
          example: Seluxit
        description:
          type: string
          description: Description of the oauth_client
          example: Manage the connection between Alexa and Seluxit API
        homepage_url:
          type: string
          description: Homepage of the company that manage the oauth_client
          example: www.seluxit.com
        expires:
          type: integer
          minimum: 0
          description: Expiration time of the oauth
        client_id:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        client_secret:
          type: string
          description: Client_Secret used in the oauth communication
          example: 60d948a74580e6b85292bcc5d7c4da065720e04c0cff39969992cf1021343d00
        redirect_uri:
          type: array
          items:
            type: string
          description: Redirect uri used in the oauth communication
          example:
          - https://redirect_here.com/validation
        path_access_token:
          type: array
          items:
            type: string
          description: Path to retrieve the access_token if this one is included in
            the body of the request
          example:
          - data.0.session.access_token
        application_id:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        installation_id:
          type: array
          items:
            type: string
            pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
          description: Installation_id that use this oauth_client
          example: []
        meta:
          type: object
          description: Meta data of the object
          example:
            id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
            type: oauth_client
            version: '2.1'
      additionalProperties: false
      required:
      - name
      - redirect_uri
      description: An oauth_client is used to create an oauth connection between a
        third party api and wappsto API
    Version:
      title: Version
      type: object
      properties:
        name:
          type: string
          description: Name of the version
          example: Phouck Auto Tag Bracket
        name_identifier:
          type: string
          pattern: "[0-9a-z_]"
          description: Alternative identifier as ID
          example: phouck_auto_tag_bracket_76337
        application:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        author:
          type: string
          description: Author of the version
          example: Trence
        version_app:
          type: string
          pattern: "^(\\d+\\.\\d+\\.\\d+)$"
          description: Version of the version, like 2.1.2
          example: 1.0.0
        commit:
          type: string
          description: String the identify commit
        date:
          type: string
          format: date-time
          description: Time the version when the version was published
        title:
          type: string
          description: Title of the version
        session_user:
          type: boolean
          description: If true, the version has administration permission
          example: false
        concern:
          type: string
          description: Returned concern if the version needs to be revisioned
        native:
          type: boolean
          description: If true, the version has been developed directly on the Seluxit
            server
          example: false
        name_folder:
          type: string
          description: Folder of the version, if the version has been developed directly
            on the Seluxit server or not
        icon:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        priority:
          type: integer
          multipleOf: 1
          minimum: 1
          description: Priority in the evaluation of the committed version
        time_commit:
          type: string
          format: date-time
          description: Time of last commit
        version_to_clone:
          type: string
          pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        uninstallable:
          type: boolean
          description: If the version can be uninstalled or not
          example: true
        published:
          type: boolean
          description: If true, the version has been published
          example: false
        executable:
          type: object
          additionalProperties: false
          properties:
            engine:
              type: string
              enum:
              - node
              - python
            version:
              type: string
          description: Hash that denote how the background application should be run
          example:
            engine: node
            version: 12.16.3
        max_number_installation:
          type: integer
          multipleOf: 1
          minimum: 1
          description: Max number of installations supported for the given version
        object_requested:
          type: object
          description: Object requested by the version
        supported_features:
          items:
            type: string
            enum:
            - foreground
            - background
            - widget
          type: array
          description: Features (foreground, background, or widget) supported by the
            version
          example:
          - foreground
        description:
          type: object
          additionalProperties: false
          properties:
            general:
              type: string
            foreground:
              type: string
            background:
              type: string
            widget:
              type: string
            version:
              type: string
          description: A list of descriptions (general, foreground, background, widget,
            version) for the version
          example:
            general: Quae enim veniam dolorem excepturi velit. Reiciendis consequatur
              explicabo in qui mollitia illo adipisci aperiam. Molestias iste incidunt
              aliquid impedit rerum. Perspiciatis laboriosam delectus perferendis
              officia aperiam illum assumenda et.
            foreground: So cute but cheesywhen the rennet is added, curds are formedtrying
              too hard, unsubtle, and inauthentic.
            background: Sausage prosciutto chicken ribeye meatball. Ham pastrami pork
              chop swine jowl hamburger tenderloin ribeye shoulder. Sausage pastrami
              tongue ham salami spare ribs tri-tip. Kevin venison bacon ground round
              tongue ribeye tail flank. Shoulder kielbasa meatball capicola bresaola
              pork loin porchetta pancetta brisket.
            widget: Drop it like it's hot everybody got they cups if you was me and
              I was you zig zag smoke sippin' on gin and juice may I put ya choppers
              up it's 1993 Long Beach. Why is you gold chain drop it like it's hot
              tha dizzle the diggy if you was me and I was you pizzle. Hizzouse in
              tha hizzle gold chain pizzle Snoopy now I'm on parole may I fizzle the
              Magic Johnson of rap. Fizzle laid back Snoop at ease the dopest. The
              magic johnson of rap like every single day real deal Holyfield through
              all the drama rolling down the street.
            version: Naic ambulatory care self administered rider coordinated care
              accredited insured medical necessity. Employee assistance programs EOB
              discharge planning board certified open enrollment noncancellable policy
              COBRA policyholder. Preventive care impaired risk ancillary services
              diagnostic related group permanent insurance deductible network provider
              dependent.
        status:
          type: string
          enum:
          - idle
          - commit
          - revision
          - publish
          - uncommit
          - unpublish
          - republish
          - disable
          - reenable
          - duplicate
          - pending
          - uncommitted
          - published
          - not updated
          - unpublished
          - disabled
          description: If the version has just been created ("idle"), on validation
            ("commit"), on revision ("revision"), or it has been published ("published")
          example: idle
        used_files:
          type: object
          description: Hash that denotes the used files by the version
          example: {}
        meta:
          type: object
          properties:
            last_committed:
              type: string
              pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
            last_published:
              type: string
              pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
          description: Meta data of the object
          example:
            id: bcb1cc70-91aa-4a03-9198-3be5d2f1e7fb
            type: version
            version: '2.1'
        file:
          type: array
          items:
            type: object
          description: List of the file owned by the version
          example: []
      additionalProperties: false
      required:
      - name
      description: Used by developers to create, delete and manage different versions
        of the same application
  parameters:
    url_id:
      name: :id
      in: path
      required: true
      description: Id of the given object
      schema:
        type: string
        pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
    url_hex:
      name: :token
      in: path
      required: true
      description: Token used for some operation
      schema:
        type: string
        pattern: "^[0-9a-fA-F]{64}$"
tags:
- name: Application
  description: An application is a container of versions. Each published application
    owns a most updated version which can be installed from the market. Statistics
    are provided as attribute of the application.
- name: Version
  description: Used by developers to create, delete and manage different versions
    of the same application
- name: File
  description: It is used to manage the document part of the files. The real file
    need to be stored with fileserver. A published file cannot be deleted anymore
- name: Oauth_client
  description: An oauth_client is used to create an oauth connection between a third
    party api and wappsto API
paths:
  "/application":
    post:
      tags:
      - Application
      summary: Fetch request of application
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Application"
            example:
              filter:
                id:
                - 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
                - 1246feaf-178d-4e51-9dc3-a6394cab988b
              return: "{ application {meta {id}}}"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Fetch"
              example:
                meta:
                  type: fetch
                  version: '2.0'
                data:
                  application:
                  - meta:
                      id: 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
                  - meta:
                      id: 1246feaf-178d-4e51-9dc3-a6394cab988b
    get:
      tags:
      - Application
      summary: Retrieve list of application
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Idlist"
              example:
                child:
                - type: application
                  version: '2.1'
                id:
                - 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
                - 1246feaf-178d-4e51-9dc3-a6394cab988b
                - 6b84eaf7-e8e2-420f-adc6-8eacfc55e63d
                - 73ef41c1-ad3c-41e2-bc8a-c5b0df85af49
                more: false
                limit: 1000
                count: 4
                meta:
                  type: idlist
                  version: '2.1'
    head:
      tags:
      - Application
      summary: Check if list of application is retrievable
      parameters: []
      responses:
        '200':
          description: OK
    delete:
      tags:
      - Application
      summary: Delete all application
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - 1246feaf-178d-4e51-9dc3-a6394cab988b
                - 6b84eaf7-e8e2-420f-adc6-8eacfc55e63d
                - 73ef41c1-ad3c-41e2-bc8a-c5b0df85af49
                code: 105000004
                message: Cleared
                internal_code: documentstore_cleared
                meta:
                  type: deletelist
                  version: '2.1'
  "/application/:id":
    get:
      tags:
      - Application
      summary: Retrieve application by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Application"
              example:
                version:
                - 9ff91a63-ceb6-4336-bda9-2e09a17a8376
                oauth_client: []
                published: false
                meta:
                  id: 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
                  type: application
                  version: '2.1'
    head:
      tags:
      - Application
      summary: Check if application by ID is retrievable
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
    post:
      tags:
      - Application
      summary: Accept shared application
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Application"
            example: {}
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Application"
              example:
                version:
                - 899faf30-05a0-4b23-802c-17799107c49a
                - 31c2bdb1-de1c-4655-a012-a6d64fb3195a
                oauth_client: []
                published: false
                meta:
                  id: ef08688e-392b-43c4-b790-f38b0173ac00
                  type: application
                  version: '2.1'
    patch:
      tags:
      - Application
      summary: Update an application by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Application"
            example:
              version:
              - name: Brinsfunc Auto Disc Amplifier
                name_identifier: brinsfunc_auto_disc_amplifier_68442
                author: Sofunc
                version_app: 1.0.0
                supported_features:
                - foreground
                description:
                  general: Sint fuga molestiae dolores atque eos. Beatae est nihil
                    rerum sit odio officiis omnis. Et quisquam quos veniam ut quis.
                  foreground: But round cheeses are to be cut in wedges, like a cakePenicillium
                    roquefortiwashed curd cheese.
                  background: Leberkas cow fatback pork loin bacon. Chuck pancetta
                    shoulder strip steak porchetta. Ham corned beef capicola strip
                    steak flank turducken. Ham chicken ball tip bresaola hamburger
                    pork chuck brisket pastrami. Pancetta flank venison strip steak
                    pastrami.
                  widget: Snoopy smokin' indo hizzouse Doggfada the dopest for the
                    Gs like every single day fizzle. Drop it like it's hot in tha
                    hizzle tha dizzle bionic Long Beach through all the drama for
                    the Gs. Everybody got they cups pizzle and my money on my mind
                    you talk too much tha shiznit. Rolling down the street Snoop the
                    diggy hizzouse real deal Holyfield smokin' weed put ya choppers
                    up televizzle. In tha hizzle if the ride is more fly, then you
                    must buy used to sell loot hizzouse nasty how we do it Coupe de
                    Ville.
                  version: Co-insurance exclusion period master policy MSA current
                    procedural terminology major medical eligible dependent episode
                    of care accredited. Pre-existing condition medicaid discharge
                    planning pregnancy care appeal. Major medical accredited coordinated
                    care HCPCS preventive care first dollar coverage custodial care.
              - name: Breck Gel Compressor
                name_identifier: breck_gel_compressor_81360
                author: Brinix
                version_app: 1.0.0
                supported_features:
                - foreground
                description:
                  general: Atque necessitatibus officia maxime aut itaque enim. Ut
                    ipsum pariatur ut nobis. Dignissimos at fuga incidunt libero dolor
                    aperiam.
                  foreground: Cheeseparing- tongue in cheekharmful secondary metabolites.
                  background: Kevin meatloaf ball tip capicola pastrami brisket flank
                    corned beef. Venison pig bresaola tongue turducken chicken. Beef
                    ribs tri-tip spare ribs rump porchetta jerky tongue brisket.
                  widget: Mr. buckwort like every single day why is you the dopest
                    nasty I love my momma used to sell loot. With my mind on my money
                    real deal Holyfield waddup bionic gold chain. Doggfada fo rizzle
                    Snoop realness gold chain feel the breeze the LBC.
                  version: Sic pregnancy care designated facility policyholder insured
                    special benefit networks. Indemnity health plan policyholder health
                    insurance portability &amp; accountability act accreditation schedule
                    of benefits and exclusions cost sharing co-pay. Deductible workers
                    compensation NAIC first dollar coverage ASO misrepresentation.
                    Centers of excellence discharge planning out-of-plan pre-authorization
                    noncancellable policy workers compensation medicaid. Out-of-pocket
                    costs benefit cap medical savings account disenroll accreditation
                    clinical practice guidelines covered charges/expenses staff model
                    group health plan.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Application"
              example:
                version:
                - file: []
                  name: Brinsfunc Auto Disc Amplifier
                  name_identifier: brinsfunc_auto_disc_amplifier_68442
                  application: 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
                  author: Sofunc
                  version_app: 1.0.0
                  session_user: false
                  native: false
                  uninstallable: true
                  published: false
                  supported_features:
                  - foreground
                  description:
                    general: Sint fuga molestiae dolores atque eos. Beatae est nihil
                      rerum sit odio officiis omnis. Et quisquam quos veniam ut quis.
                    foreground: But round cheeses are to be cut in wedges, like a
                      cakePenicillium roquefortiwashed curd cheese.
                    background: Leberkas cow fatback pork loin bacon. Chuck pancetta
                      shoulder strip steak porchetta. Ham corned beef capicola strip
                      steak flank turducken. Ham chicken ball tip bresaola hamburger
                      pork chuck brisket pastrami. Pancetta flank venison strip steak
                      pastrami.
                    widget: Snoopy smokin' indo hizzouse Doggfada the dopest for the
                      Gs like every single day fizzle. Drop it like it's hot in tha
                      hizzle tha dizzle bionic Long Beach through all the drama for
                      the Gs. Everybody got they cups pizzle and my money on my mind
                      you talk too much tha shiznit. Rolling down the street Snoop
                      the diggy hizzouse real deal Holyfield smokin' weed put ya choppers
                      up televizzle. In tha hizzle if the ride is more fly, then you
                      must buy used to sell loot hizzouse nasty how we do it Coupe
                      de Ville.
                    version: Co-insurance exclusion period master policy MSA current
                      procedural terminology major medical eligible dependent episode
                      of care accredited. Pre-existing condition medicaid discharge
                      planning pregnancy care appeal. Major medical accredited coordinated
                      care HCPCS preventive care first dollar coverage custodial care.
                  status: idle
                  used_files: {}
                  meta:
                    id: edc9ce08-cdb7-42fe-a6bc-1f5b894a750f
                    type: version
                    version: '2.1'
                - file: []
                  name: Breck Gel Compressor
                  name_identifier: breck_gel_compressor_81360
                  application: 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
                  author: Brinix
                  version_app: 1.0.0
                  session_user: false
                  native: false
                  uninstallable: true
                  published: false
                  supported_features:
                  - foreground
                  description:
                    general: Atque necessitatibus officia maxime aut itaque enim.
                      Ut ipsum pariatur ut nobis. Dignissimos at fuga incidunt libero
                      dolor aperiam.
                    foreground: Cheeseparing- tongue in cheekharmful secondary metabolites.
                    background: Kevin meatloaf ball tip capicola pastrami brisket
                      flank corned beef. Venison pig bresaola tongue turducken chicken.
                      Beef ribs tri-tip spare ribs rump porchetta jerky tongue brisket.
                    widget: Mr. buckwort like every single day why is you the dopest
                      nasty I love my momma used to sell loot. With my mind on my
                      money real deal Holyfield waddup bionic gold chain. Doggfada
                      fo rizzle Snoop realness gold chain feel the breeze the LBC.
                    version: Sic pregnancy care designated facility policyholder insured
                      special benefit networks. Indemnity health plan policyholder
                      health insurance portability &amp; accountability act accreditation
                      schedule of benefits and exclusions cost sharing co-pay. Deductible
                      workers compensation NAIC first dollar coverage ASO misrepresentation.
                      Centers of excellence discharge planning out-of-plan pre-authorization
                      noncancellable policy workers compensation medicaid. Out-of-pocket
                      costs benefit cap medical savings account disenroll accreditation
                      clinical practice guidelines covered charges/expenses staff
                      model group health plan.
                  status: idle
                  used_files: {}
                  meta:
                    id: 56c271b4-b669-4beb-b1a7-73eb8d80e745
                    type: version
                    version: '2.1'
                - 9ff91a63-ceb6-4336-bda9-2e09a17a8376
                oauth_client: []
                published: false
                meta:
                  id: 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
                  type: application
                  version: '2.1'
    put:
      tags:
      - Application
      summary: Replace an application by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Application"
            example:
              published: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Application"
              example:
                version:
                - 9ff91a63-ceb6-4336-bda9-2e09a17a8376
                - edc9ce08-cdb7-42fe-a6bc-1f5b894a750f
                - 56c271b4-b669-4beb-b1a7-73eb8d80e745
                - 7d5e98e2-fc6c-4717-b09f-66054bedd381
                oauth_client: []
                published: false
                meta:
                  id: 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
                  type: application
                  version: '2.1'
    delete:
      tags:
      - Application
      summary: Delete an application by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - 19e3a2ba-6ce0-4ba6-86b0-4b4becaf84da
                code: 105000003
                message: Deleted
                internal_code: documentstore_deleted
                meta:
                  type: deletelist
                  version: '2.1'
  "/version/:id/file":
    post:
      tags:
      - File
      summary: Crate a new file under a version
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/File"
            example:
              index.html: 
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/File"
              example:
                name: index.html
                type: text/html
                published: false
                meta:
                  id: 7783c001-ce3a-45c5-9528-6f696a6ce297
                  type: file
                  version: '2.1'
    get:
      tags:
      - File
      summary: Retrieve list of file children of version
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Idlist"
              example:
                child:
                - type: file
                  version: '2.1'
                id:
                - 7783c001-ce3a-45c5-9528-6f696a6ce297
                - ad0eebdc-f128-48e0-87f3-4f8e2684691b
                - 925579d9-8725-463b-a7d7-29d4aa461e78
                - e6195016-3786-4b32-9b91-e4bc5ba74b22
                - 941ab43c-ea42-482b-b057-8a6743d7a8bd
                more: false
                limit: 1000
                count: 5
                meta:
                  type: idlist
                  version: '2.1'
    delete:
      tags:
      - File
      summary: Delete all file of an version
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - ad0eebdc-f128-48e0-87f3-4f8e2684691b
                - 925579d9-8725-463b-a7d7-29d4aa461e78
                - e6195016-3786-4b32-9b91-e4bc5ba74b22
                - 941ab43c-ea42-482b-b057-8a6743d7a8bd
                code: 105000004
                message: Cleared
                internal_code: documentstore_cleared
                meta:
                  type: deletelist
                  version: '2.1'
  "/version/:id/file/background":
    post:
      tags:
      - File
      summary: Crate a background file under a version
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/File"
            example:
              index.html: 
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/File"
              example:
                name: index.html
                type: text/html
                published: false
                meta:
                  id: ad0eebdc-f128-48e0-87f3-4f8e2684691b
                  type: file
                  version: '2.1'
  "/file":
    post:
      tags:
      - File
      summary: Fetch request of file
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/File"
            example:
              filter:
                id:
                - 7df8ad57-d8c6-4a09-b3ae-138aae09a2e9
                - 62f72359-5e11-453a-8639-11e07136a006
              return: "{ file {meta {id}}}"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Fetch"
              example:
                meta:
                  type: fetch
                  version: '2.0'
                data:
                  file:
                  - meta:
                      id: 7df8ad57-d8c6-4a09-b3ae-138aae09a2e9
                  - meta:
                      id: 62f72359-5e11-453a-8639-11e07136a006
    get:
      tags:
      - File
      summary: Retrieve list of file
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Idlist"
              example:
                child:
                - type: file
                  version: '2.1'
                id:
                - 7df8ad57-d8c6-4a09-b3ae-138aae09a2e9
                - 62f72359-5e11-453a-8639-11e07136a006
                - e51fed83-3cca-4f16-b654-679ebd5a557a
                - a86d16ab-fa58-4001-9f2b-1cb083e45565
                more: false
                limit: 1000
                count: 4
                meta:
                  type: idlist
                  version: '2.1'
    head:
      tags:
      - File
      summary: Check if list of file is retrievable
      parameters: []
      responses:
        '200':
          description: OK
    delete:
      tags:
      - File
      summary: Delete all file
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - 7df8ad57-d8c6-4a09-b3ae-138aae09a2e9
                - 62f72359-5e11-453a-8639-11e07136a006
                - e51fed83-3cca-4f16-b654-679ebd5a557a
                - a86d16ab-fa58-4001-9f2b-1cb083e45565
                - e6cb32a7-09fe-4753-867a-e31e4c842b33
                - 5a70e6cf-1b8a-4639-8555-2f523fd3854b
                code: 105000004
                message: Cleared
                internal_code: documentstore_cleared
                meta:
                  type: deletelist
                  version: '2.1'
  "/file/:id":
    get:
      tags:
      - File
      summary: Retrieve a file by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
    head:
      tags:
      - File
      summary: Check a file by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
    post:
      tags:
      - File
      summary: Accept shared file
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/File"
            example: {}
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/File"
              example:
                name: index.html
                type: text/html
                size: 46
                published: false
                meta:
                  id: adfc4d96-3476-46bb-959e-845a8ea2518a
                  type: file
                  version: '2.1'
    patch:
      tags:
      - File
      summary: Update content of a file
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/File"
            example:
              main.js: 
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/File"
              example:
                name: main.js
                type: application/javascript
                size: 46
                published: false
                meta:
                  id: 7783c001-ce3a-45c5-9528-6f696a6ce297
                  type: file
                  version: '2.1'
    put:
      tags:
      - File
      summary: Replace content of a file
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/File"
            example:
              index.html: 
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/File"
              example:
                name: index.html
                type: text/html
                meta:
                  id: 7783c001-ce3a-45c5-9528-6f696a6ce297
                  type: file
                  version: '2.1'
    delete:
      tags:
      - File
      summary: Delete an file by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - 7783c001-ce3a-45c5-9528-6f696a6ce297
                code: 105000003
                message: Deleted
                internal_code: documentstore_deleted
                meta:
                  type: deletelist
                  version: '2.1'
  "/file/:id/document":
    get:
      tags:
      - File
      summary: Retrieve documentation of a file by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/File"
              example:
                name: index.html
                type: text/html
                size: 46
                published: false
                meta:
                  id: 7783c001-ce3a-45c5-9528-6f696a6ce297
                  type: file
                  version: '2.1'
  "/application/:id/oauth_client":
    post:
      tags:
      - Oauth_client
      summary: Create oauth_client
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Oauth_client"
            example:
              name: Alexa
              redirect_uri:
              - https://redirect_here.com/validation
              company: Seluxit
              description: Manage the connection between Alexa and Seluxit API
              homepage_url: www.seluxit.com
              meta:
                id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Oauth_client"
              example:
                name: Alexa
                company: Seluxit
                description: Manage the connection between Alexa and Seluxit API
                homepage_url: www.seluxit.com
                client_id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                client_secret: 60d948a74580e6b85292bcc5d7c4da065720e04c0cff39969992cf1021343d00
                redirect_uri:
                - https://redirect_here.com/validation
                application_id: 5f9505e3-4934-4c85-8249-2e07d19a969a
                installation_id: []
                meta:
                  id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                  type: oauth_client
                  version: '2.1'
    get:
      tags:
      - Oauth_client
      summary: Retrieve list of oauth_client children of application
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Idlist"
              example:
                child:
                - type: oauth_client
                  version: '2.1'
                id:
                - 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                more: false
                limit: 1000
                count: 1
                meta:
                  type: idlist
                  version: '2.1'
    delete:
      tags:
      - Oauth_client
      summary: Delete all oauth_client of an application
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                code: 105000004
                message: Cleared
                internal_code: documentstore_cleared
                meta:
                  type: deletelist
                  version: '2.1'
  "/oauth_client/:id":
    get:
      tags:
      - Oauth_client
      summary: Retrieve oauth_client by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Oauth_client"
              example:
                name: Alexa
                company: Seluxit
                description: Manage the connection between Alexa and Seluxit API
                homepage_url: www.seluxit.com
                client_id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                client_secret: 7da695a6cadcdcc0e8383849fb0385da457a69f4b6c246c81dbf86a4885121ea
                redirect_uri:
                - https://redirect_here.com/validation
                application_id: 5f9505e3-4934-4c85-8249-2e07d19a969a
                installation_id: []
                meta:
                  id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                  type: oauth_client
                  version: '2.1'
    head:
      tags:
      - Oauth_client
      summary: Check if oauth_client by ID is retrievable
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
    post:
      tags:
      - Oauth_client
      summary: Accept shared oauth_client
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Oauth_client"
            example: {}
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Oauth_client"
              example:
                name: Alexa
                company: Seluxit
                description: Manage the connection between Alexa and Seluxit API
                homepage_url: www.seluxit.com
                client_id: 23e10bc8-3014-4ec2-b3bb-597ec5fad24f
                application_id: df87b47a-0d52-4271-a241-70d103ba0f7e
                installation_id: []
                meta:
                  id: 23e10bc8-3014-4ec2-b3bb-597ec5fad24f
                  type: oauth_client
                  version: '2.1'
    patch:
      tags:
      - Oauth_client
      summary: Update an oauth_client by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Oauth_client"
            example:
              name: Bob
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Oauth_client"
              example:
                name: Bob
                company: Seluxit
                description: Manage the connection between Alexa and Seluxit API
                homepage_url: www.seluxit.com
                client_id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                client_secret: 7da695a6cadcdcc0e8383849fb0385da457a69f4b6c246c81dbf86a4885121ea
                redirect_uri:
                - https://redirect_here.com/validation
                application_id: 5f9505e3-4934-4c85-8249-2e07d19a969a
                installation_id: []
                meta:
                  id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                  type: oauth_client
                  version: '2.1'
    put:
      tags:
      - Oauth_client
      summary: Replace an oauth_client by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Oauth_client"
            example:
              name: Alexa
              redirect_uri:
              - https://redirect_here.com/validation
              company: Seluxit
              description: Manage the connection between Alexa and Seluxit API
              homepage_url: www.seluxit.com
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Oauth_client"
              example:
                name: Alexa
                company: Seluxit
                description: Manage the connection between Alexa and Seluxit API
                homepage_url: www.seluxit.com
                client_id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                client_secret: 03e19f163fef03b189207a17ad1f6e5ddec141660f1b47be11eef3b9592d98c6
                redirect_uri:
                - https://redirect_here.com/validation
                application_id: 5f9505e3-4934-4c85-8249-2e07d19a969a
                installation_id: []
                meta:
                  id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                  type: oauth_client
                  version: '2.1'
    delete:
      tags:
      - Oauth_client
      summary: Delete an oauth_client by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - 8cb11687-83a0-4263-88c3-2f948de6403e
                code: 105000003
                message: Deleted
                internal_code: documentstore_deleted
                meta:
                  type: deletelist
                  version: '2.1'
  "/oauth_client":
    get:
      tags:
      - Oauth_client
      summary: Retrieve list of oauth_client
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Idlist"
              example:
                child:
                - type: oauth_client
                  version: '2.1'
                id:
                - 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                - 8cb11687-83a0-4263-88c3-2f948de6403e
                - a4c68796-2708-42ef-9447-bc6fe9d3c2a3
                - e01cb1a8-4bce-43a4-91ee-4287b8cb04b2
                more: false
                limit: 1000
                count: 4
                meta:
                  type: idlist
                  version: '2.1'
    head:
      tags:
      - Oauth_client
      summary: Check if list of oauth_client is retrievable
      parameters: []
      responses:
        '200':
          description: OK
    post:
      tags:
      - Oauth_client
      summary: Fetch request of oauth_client
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Oauth_client"
            example:
              filter:
                id:
                - 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                - 8cb11687-83a0-4263-88c3-2f948de6403e
              return: "{ oauth_client {meta {id}}}"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Fetch"
              example:
                meta:
                  type: fetch
                  version: '2.0'
                data:
                  oauth_client:
                  - meta:
                      id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                  - meta:
                      id: 8cb11687-83a0-4263-88c3-2f948de6403e
    patch:
      tags:
      - Oauth_client
      summary: Update multiple oauth_clients
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Oauth_client"
            example:
              name: BOBIBI
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Oauth_client"
              example:
              - name: BOBIBI
                company: Seluxit
                description: Manage the connection between Alexa and Seluxit API
                homepage_url: www.seluxit.com
                client_id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                client_secret: 7da695a6cadcdcc0e8383849fb0385da457a69f4b6c246c81dbf86a4885121ea
                redirect_uri:
                - https://redirect_here.com/validation
                application_id: 5f9505e3-4934-4c85-8249-2e07d19a969a
                installation_id: []
                meta:
                  id: 9041fdbd-2a06-4c76-ba84-b7967e59b11b
                  type: oauth_client
                  version: '2.1'
              - name: BOBIBI
                company: Seluxit
                description: Manage the connection between Alexa and Seluxit API
                homepage_url: www.seluxit.com
                client_id: 8cb11687-83a0-4263-88c3-2f948de6403e
                client_secret: 56fd5d8a723d129e8841c802e0e6c1d71caf486b907f9d664595fc7b890e30d9
                redirect_uri:
                - https://redirect_here.com/validation
                path_access_token:
                - data.0.session.access_token
                application_id: 631fdefc-b715-44d6-96cc-0942da013ef8
                installation_id: []
                meta:
                  id: 8cb11687-83a0-4263-88c3-2f948de6403e
                  type: oauth_client
                  version: '2.1'
    delete:
      tags:
      - Oauth_client
      summary: Delete all oauth_client
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Deletelist"
              example:
                deleted:
                - a4c68796-2708-42ef-9447-bc6fe9d3c2a3
                - e01cb1a8-4bce-43a4-91ee-4287b8cb04b2
                code: 105000004
                message: Cleared
                internal_code: documentstore_cleared
                meta:
                  type: deletelist
                  version: '2.1'
  "/application/:id/version":
    post:
      tags:
      - Version
      summary: Create a new version
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Version"
            example:
              supported_features:
              - foreground
              - background
              - widget
              name: Test App 2
              author: Seluxit A/S
              version_app: 1.0.0
              title: Starting version
              name_identifier: phient_input_viewer
              description:
                general: A test app
                foreground: A test foreground
                background: A test background
                widget: A test widget
                version: A test app
              executable:
                engine: node
                version: 12.16.3
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Version"
              example:
                file: []
                name: Test App 2
                name_identifier: phient_input_viewer
                application: 31ed7cca-e807-441c-946a-ce0f5b09017f
                author: Seluxit A/S
                version_app: 1.0.0
                session_user: false
                native: false
                uninstallable: true
                published: false
                executable:
                  engine: node
                  version: 12.16.3
                supported_features:
                - foreground
                - background
                - widget
                description:
                  general: A test app
                  foreground: A test foreground
                  background: A test background
                  widget: A test widget
                  version: A test app
                status: idle
                used_files: {}
                meta:
                  id: 11fe2323-2a11-45d7-814b-10be7d8f2176
                  type: version
                  version: '2.1'
    get:
      tags:
      - Version
      summary: Retrieve list of version children of application
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Idlist"
              example:
                child:
                - type: version
                  version: '2.1'
                id:
                - bcb1cc70-91aa-4a03-9198-3be5d2f1e7fb
                - 11fe2323-2a11-45d7-814b-10be7d8f2176
                - 567373de-e148-4c91-b3de-cd8ab9b48b45
                more: false
                limit: 1000
                count: 3
                meta:
                  type: idlist
                  version: '2.1'
  "/version/:id":
    get:
      tags:
      - Version
      summary: Retrieve version by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Version"
              example:
                file: []
                name: Phouck Auto Tag Bracket
                name_identifier: phouck_auto_tag_bracket_76337
                application: 31ed7cca-e807-441c-946a-ce0f5b09017f
                author: Trence
                version_app: 1.0.0
                session_user: false
                native: false
                uninstallable: true
                published: false
                supported_features:
                - foreground
                description:
                  general: Quae enim veniam dolorem excepturi velit. Reiciendis consequatur
                    explicabo in qui mollitia illo adipisci aperiam. Molestias iste
                    incidunt aliquid impedit rerum. Perspiciatis laboriosam delectus
                    perferendis officia aperiam illum assumenda et.
                  foreground: So cute but cheesywhen the rennet is added, curds are
                    formedtrying too hard, unsubtle, and inauthentic.
                  background: Sausage prosciutto chicken ribeye meatball. Ham pastrami
                    pork chop swine jowl hamburger tenderloin ribeye shoulder. Sausage
                    pastrami tongue ham salami spare ribs tri-tip. Kevin venison bacon
                    ground round tongue ribeye tail flank. Shoulder kielbasa meatball
                    capicola bresaola pork loin porchetta pancetta brisket.
                  widget: Drop it like it's hot everybody got they cups if you was
                    me and I was you zig zag smoke sippin' on gin and juice may I
                    put ya choppers up it's 1993 Long Beach. Why is you gold chain
                    drop it like it's hot tha dizzle the diggy if you was me and I
                    was you pizzle. Hizzouse in tha hizzle gold chain pizzle Snoopy
                    now I'm on parole may I fizzle the Magic Johnson of rap. Fizzle
                    laid back Snoop at ease the dopest. The magic johnson of rap like
                    every single day real deal Holyfield through all the drama rolling
                    down the street.
                  version: Naic ambulatory care self administered rider coordinated
                    care accredited insured medical necessity. Employee assistance
                    programs EOB discharge planning board certified open enrollment
                    noncancellable policy COBRA policyholder. Preventive care impaired
                    risk ancillary services diagnostic related group permanent insurance
                    deductible network provider dependent.
                status: idle
                used_files: {}
                meta:
                  id: bcb1cc70-91aa-4a03-9198-3be5d2f1e7fb
                  type: version
                  version: '2.1'
    head:
      tags:
      - Version
      summary: Check if version by ID is retrievable
      parameters:
      - "$ref": "#/components/parameters/url_id"
      responses:
        '200':
          description: OK
    post:
      tags:
      - Version
      summary: Accept shared version
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Version"
            example: {}
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Version"
              example:
                file: []
                name: Trarefunc Digital Adapter
                name_identifier: trarefunc_digital_adapter_42797
                application: 0dcf1501-c10d-4380-a0ec-48f3ffaacc50
                author: Sircell
                version_app: 1.0.0
                session_user: false
                native: false
                uninstallable: true
                published: false
                supported_features:
                - foreground
                description:
                  general: Ratione culpa molestiae aut aut esse nihil. Perspiciatis
                    ut ut enim beatae et. Sequi fugiat perspiciatis iusto incidunt
                    eos expedita.
                  foreground: A good alternative to cheesecloththey were so cheesed
                    offthey can also age quite well in ripening cellars where.
                  background: Jerky shoulder meatball porchetta tri-tip cow. Meatloaf
                    shoulder ham hock flank ham. Jowl strip steak tri-tip filet mignon
                    bacon tongue. Sirloin meatloaf ground round corned beef salami
                    pork belly turducken spare ribs.
                  widget: For the gs through all the drama realer in tha hizzle eighty
                    degrees nasty. The magic johnson of rap zig zag smoke used to
                    sell loot now I'm on parole how we do it for the Gs. Long beach
                    every single one realer nasty the S oh yes at ease.
                  version: Fee-for-service international classification of diseases,
                    9th revision, clinical modification icd-9-cm gag rule laws prior
                    authorization beneficiary state-mandated benefits pre-certification.
                    Pre-admission testing diagnostic related group first dollar coverage
                    usual and customary charge HIPAA claim. Pre-admission testing
                    risk open enrollment accreditation full-time student utilization
                    review IPA covered benefit. Medically necessary service area EAPs
                    coordinated care provider hospital care co-insurance policy evidence
                    of insurability.
                status: idle
                used_files: {}
                meta:
                  id: 8e561b55-c2fc-4265-98f0-9b17393b1c0e
                  type: version
                  version: '2.1'
    patch:
      tags:
      - Version
      summary: Update an version by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Version"
            example:
              name: Test App
              title: A new title
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Version"
              example:
                file: []
                name: Test App
                name_identifier: phouck_auto_tag_bracket_76337
                application: 31ed7cca-e807-441c-946a-ce0f5b09017f
                author: Trence
                version_app: 1.0.0
                session_user: false
                native: false
                uninstallable: true
                published: false
                supported_features:
                - foreground
                description:
                  general: Quae enim veniam dolorem excepturi velit. Reiciendis consequatur
                    explicabo in qui mollitia illo adipisci aperiam. Molestias iste
                    incidunt aliquid impedit rerum. Perspiciatis laboriosam delectus
                    perferendis officia aperiam illum assumenda et.
                  foreground: So cute but cheesywhen the rennet is added, curds are
                    formedtrying too hard, unsubtle, and inauthentic.
                  background: Sausage prosciutto chicken ribeye meatball. Ham pastrami
                    pork chop swine jowl hamburger tenderloin ribeye shoulder. Sausage
                    pastrami tongue ham salami spare ribs tri-tip. Kevin venison bacon
                    ground round tongue ribeye tail flank. Shoulder kielbasa meatball
                    capicola bresaola pork loin porchetta pancetta brisket.
                  widget: Drop it like it's hot everybody got they cups if you was
                    me and I was you zig zag smoke sippin' on gin and juice may I
                    put ya choppers up it's 1993 Long Beach. Why is you gold chain
                    drop it like it's hot tha dizzle the diggy if you was me and I
                    was you pizzle. Hizzouse in tha hizzle gold chain pizzle Snoopy
                    now I'm on parole may I fizzle the Magic Johnson of rap. Fizzle
                    laid back Snoop at ease the dopest. The magic johnson of rap like
                    every single day real deal Holyfield through all the drama rolling
                    down the street.
                  version: Naic ambulatory care self administered rider coordinated
                    care accredited insured medical necessity. Employee assistance
                    programs EOB discharge planning board certified open enrollment
                    noncancellable policy COBRA policyholder. Preventive care impaired
                    risk ancillary services diagnostic related group permanent insurance
                    deductible network provider dependent.
                status: idle
                used_files: {}
                meta:
                  id: bcb1cc70-91aa-4a03-9198-3be5d2f1e7fb
                  type: version
                  version: '2.1'
    put:
      tags:
      - Version
      summary: Replace an version by ID
      parameters:
      - "$ref": "#/components/parameters/url_id"
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Version"
            example:
              name: Test App Replaced
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Version"
              example:
                file: []
                name: Test App Replaced
                application: 31ed7cca-e807-441c-946a-ce0f5b09017f
                session_user: false
                native: false
                uninstallable: true
                published: false
                supported_features:
                - foreground
                description:
                  general: Quae enim veniam dolorem excepturi velit. Reiciendis consequatur
                    explicabo in qui mollitia illo adipisci aperiam. Molestias iste
                    incidunt aliquid impedit rerum. Perspiciatis laboriosam delectus
                    perferendis officia aperiam illum assumenda et.
                  foreground: So cute but cheesywhen the rennet is added, curds are
                    formedtrying too hard, unsubtle, and inauthentic.
                  background: Sausage prosciutto chicken ribeye meatball. Ham pastrami
                    pork chop swine jowl hamburger tenderloin ribeye shoulder. Sausage
                    pastrami tongue ham salami spare ribs tri-tip. Kevin venison bacon
                    ground round tongue ribeye tail flank. Shoulder kielbasa meatball
                    capicola bresaola pork loin porchetta pancetta brisket.
                  widget: Drop it like it's hot everybody got they cups if you was
                    me and I was you zig zag smoke sippin' on gin and juice may I
                    put ya choppers up it's 1993 Long Beach. Why is you gold chain
                    drop it like it's hot tha dizzle the diggy if you was me and I
                    was you pizzle. Hizzouse in tha hizzle gold chain pizzle Snoopy
                    now I'm on parole may I fizzle the Magic Johnson of rap. Fizzle
                    laid back Snoop at ease the dopest. The magic johnson of rap like
                    every single day real deal Holyfield through all the drama rolling
                    down the street.
                  version: Naic ambulatory care self administered rider coordinated
                    care accredited insured medical necessity. Employee assistance
                    programs EOB discharge planning board certified open enrollment
                    noncancellable policy COBRA policyholder. Preventive care impaired
                    risk ancillary services diagnostic related group permanent insurance
                    deductible network provider dependent.
                status: idle
                used_files: {}
                meta:
                  id: bcb1cc70-91aa-4a03-9198-3be5d2f1e7fb
                  type: version
                  version: '2.1'
  "/version":
    get:
      tags:
      - Version
      summary: Retrieve list of version
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Idlist"
              example:
                child:
                - type: version
                  version: '2.1'
                id:
                - bcb1cc70-91aa-4a03-9198-3be5d2f1e7fb
                - 11fe2323-2a11-45d7-814b-10be7d8f2176
                - 567373de-e148-4c91-b3de-cd8ab9b48b45
                - c96263c2-2ef3-479f-81e2-a7c84060c053
                - 88531ced-aefc-4184-96d4-7efdc66fbe56
                - 512a0032-1b5c-44f2-a69e-0e3be2253ba7
                - a6ed728e-0792-49a5-9bc0-b074c5e121b4
                more: false
                limit: 1000
                count: 7
                meta:
                  type: idlist
                  version: '2.1'
    head:
      tags:
      - Version
      summary: Check if list of version is retrievable
      parameters: []
      responses:
        '200':
          description: OK
    post:
      tags:
      - Version
      summary: Fetch request of version
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Version"
            example:
              filter:
                id:
                - bcb1cc70-91aa-4a03-9198-3be5d2f1e7fb
                - 11fe2323-2a11-45d7-814b-10be7d8f2176
              return: "{ version {meta {id}}}"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Fetch"
              example:
                meta:
                  type: fetch
                  version: '2.0'
                data:
                  version:
                  - meta:
                      id: bcb1cc70-91aa-4a03-9198-3be5d2f1e7fb
                  - meta:
                      id: 11fe2323-2a11-45d7-814b-10be7d8f2176
    patch:
      tags:
      - Version
      summary: Update multiple versions
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              "$ref": "#/components/schemas/Version"
            example:
              name: Test App Replaced
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/Version"
              example:
              - file: []
                name: Test App Replaced
                name_identifier: phouck_auto_tag_bracket_76337
                application: 31ed7cca-e807-441c-946a-ce0f5b09017f
                author: Trence
                version_app: 1.0.0
                session_user: false
                native: false
                uninstallable: true
                published: false
                supported_features:
                - foreground
                description:
                  general: Quae enim veniam dolorem excepturi velit. Reiciendis consequatur
                    explicabo in qui mollitia illo adipisci aperiam. Molestias iste
                    incidunt aliquid impedit rerum. Perspiciatis laboriosam delectus
                    perferendis officia aperiam illum assumenda et.
                  foreground: So cute but cheesywhen the rennet is added, curds are
                    formedtrying too hard, unsubtle, and inauthentic.
                  background: Sausage prosciutto chicken ribeye meatball. Ham pastrami
                    pork chop swine jowl hamburger tenderloin ribeye shoulder. Sausage
                    pastrami tongue ham salami spare ribs tri-tip. Kevin venison bacon
                    ground round tongue ribeye tail flank. Shoulder kielbasa meatball
                    capicola bresaola pork loin porchetta pancetta brisket.
                  widget: Drop it like it's hot everybody got they cups if you was
                    me and I was you zig zag smoke sippin' on gin and juice may I
                    put ya choppers up it's 1993 Long Beach. Why is you gold chain
                    drop it like it's hot tha dizzle the diggy if you was me and I
                    was you pizzle. Hizzouse in tha hizzle gold chain pizzle Snoopy
                    now I'm on parole may I fizzle the Magic Johnson of rap. Fizzle
                    laid back Snoop at ease the dopest. The magic johnson of rap like
                    every single day real deal Holyfield through all the drama rolling
                    down the street.
                  version: Naic ambulatory care self administered rider coordinated
                    care accredited insured medical necessity. Employee assistance
                    programs EOB discharge planning board certified open enrollment
                    noncancellable policy COBRA policyholder. Preventive care impaired
                    risk ancillary services diagnostic related group permanent insurance
                    deductible network provider dependent.
                status: idle
                used_files: {}
                meta:
                  id: bcb1cc70-91aa-4a03-9198-3be5d2f1e7fb
                  type: version
                  version: '2.1'
              - file:
                - 3c183c3a-01ed-42ed-a296-3fd6799f50c6
                - 48fac177-6fe8-4ee7-bc3c-38d03ec02ac0
                - 8f7d08c1-40ec-4c47-a653-9a7fc93ac0bd
                - c830a8a8-4cad-42eb-be62-a2ffb1576c1a
                - b61854cc-b03f-4254-aaa5-abb9ac9a1f97
                - 2f1c827a-f3ce-40bf-bc44-28c575ba41dd
                name: Test App Replaced
                name_identifier: phient_input_viewer
                application: 31ed7cca-e807-441c-946a-ce0f5b09017f
                author: Seluxit A/S
                version_app: 1.0.0
                session_user: false
                native: false
                uninstallable: true
                published: false
                executable:
                  engine: node
                  version: 12.16.3
                supported_features:
                - foreground
                - background
                - widget
                description:
                  general: A test app
                  foreground: A test foreground
                  background: A test background
                  widget: A test widget
                  version: A test app
                status: idle
                used_files:
                  foreground:
                  - 3c183c3a-01ed-42ed-a296-3fd6799f50c6
                  - 48fac177-6fe8-4ee7-bc3c-38d03ec02ac0
                  background:
                  - 8f7d08c1-40ec-4c47-a653-9a7fc93ac0bd
                  - c830a8a8-4cad-42eb-be62-a2ffb1576c1a
                  icon:
                  - b61854cc-b03f-4254-aaa5-abb9ac9a1f97
                  widget:
                  - 2f1c827a-f3ce-40bf-bc44-28c575ba41dd
                meta:
                  id: 11fe2323-2a11-45d7-814b-10be7d8f2176
                  type: version
                  version: '2.1'
